commit:     8a1cece78a3c0fc73419b30e8e7e69cd6af28bea
Author:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  3 21:35:28 2018 +0000
Commit:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Mon Sep  3 21:35:55 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8a1cece7

sci-chemistry/ParmEd: Version bump

Package-Manager: Portage-2.3.47, Repoman-2.3.10

 sci-chemistry/ParmEd/Manifest            |  1 +
 sci-chemistry/ParmEd/ParmEd-3.0.3.ebuild | 41 ++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/sci-chemistry/ParmEd/Manifest b/sci-chemistry/ParmEd/Manifest
index aae813414d8..54276dd03b0 100644
--- a/sci-chemistry/ParmEd/Manifest
+++ b/sci-chemistry/ParmEd/Manifest
@@ -1 +1,2 @@
 DIST ParmEd-2.7.3.tar.gz 34494858 BLAKE2B 
8e3ac8776f30ac73b06fd2241e5d73ba54517805ffcef7cb2f71281248df4f8afdaa05c2186ff50ba0df45df313ebdecd69a4482c8339d41baf804c37069affe
 SHA512 
a3444f915e188bcc924f28b6b4235246e2c063ae98881c48f6e13ebc685d085d6a1bcb61b29509a343cbe58369bc6233acc20ee620c6f1d42da2033772a12e07
+DIST ParmEd-3.0.3.tar.gz 35159355 BLAKE2B 
76b4655905276fe498f38c6a3bd483e89e95d3a339fbcd9ceb90d16f68d417b62e0aacaf18143d0b57167ee7acdc726c44324c844462af4d2385872210daef2a
 SHA512 
60b8ee100a301fbddec8323a3dba550c96ffa09624f41e457d4b3941a4e4a15e903c3da6de24a5183731406f19f9e6436a2111d654bc902c0f06ac8b643acf09

diff --git a/sci-chemistry/ParmEd/ParmEd-3.0.3.ebuild 
b/sci-chemistry/ParmEd/ParmEd-3.0.3.ebuild
new file mode 100644
index 00000000000..6ea7bdee606
--- /dev/null
+++ b/sci-chemistry/ParmEd/ParmEd-3.0.3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+if [[ $PV = *9999* ]]; then
+       scm_eclass=git-r3
+       EGIT_REPO_URI="https://github.com/${PN}/${PN}.git";
+       SRC_URI=""
+       KEYWORDS=""
+else
+       scm_eclass=vcs-snapshot
+       SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+inherit eutils distutils-r1 ${scm_eclass}
+
+DESCRIPTION="Parameter/topology editor and molecular simulator"
+HOMEPAGE="https://parmed.github.io/ParmEd/html/index.html";
+
+LICENSE="LGPL-2"
+SLOT="0"
+IUSE=""
+
+DEPEND="
+       dev-python/numpy[${PYTHON_USEDEP}]
+       sci-libs/scipy[${PYTHON_USEDEP}]
+"
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       sed \
+               -e "/delfile/d" \
+               -e "/deldir/d" \
+               -i setup.py || die
+       distutils-r1_src_prepare
+}

Reply via email to